Unfavorite a project

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

DELETE https://api.ap1.datadoghq.com/api/v2/cases/projects/{project_id}/favoriteshttps://api.ap2.datadoghq.com/api/v2/cases/projects/{project_id}/favoriteshttps://api.datadoghq.eu/api/v2/cases/projects/{project_id}/favoriteshttps://api.ddog-gov.com/api/v2/cases/projects/{project_id}/favoriteshttps://api.us2.ddog-gov.com/api/v2/cases/projects/{project_id}/favoriteshttps://api.datadoghq.com/api/v2/cases/projects/{project_id}/favoriteshttps://api.us3.datadoghq.com/api/v2/cases/projects/{project_id}/favoriteshttps://api.us5.datadoghq.com/api/v2/cases/projects/{project_id}/favorites

Overview

Removes a case project from the current user’s favorites list.

OAuth apps require the cases_write authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

project_id [required]

string

Project UUID.

Response

No Content

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export project_id="e555e290-ed65-49bd-ae18-8acbfcf18db7"
# Curl command
curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/cases/projects/${project_id}/favorites" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"